﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		this.WebDataGrid1.InitializeRow += new Infragistics.Web.UI.GridControls.InitializeRowEventHandler(WebDataGrid1_InitializeRow);
		this.WebDataGrid1.DataSource = MakeTable();
		this.Button1.Click += new EventHandler(Button1_Click);
    }

	void Button1_Click(object sender, EventArgs e)
	{
		this.WebDataGrid1.ClearDataSource();
	}

	void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
	{
		int rowCssClass = e.Row.Index % 3;

		switch (rowCssClass)
		{
			case 0: e.Row.Items[0].CssClass = "CssClass3"; break;
			case 1: e.Row.Items[0].CssClass = "CssClass1"; break;
			case 2: e.Row.Items[0].CssClass = "CssClass2"; break;
		}
	}

	private DataTable MakeTable()
	{
		// Create a new DataTable.
		System.Data.DataTable table = new DataTable("Table");
		// Declare variables for DataColumn and DataRow objects.
		DataColumn column;
		DataRow row;

		// Create new DataColumn, set DataType, 
		// ColumnName and add to DataTable.    
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.Int32");
		column.ColumnName = "id";
		column.ReadOnly = true;
		// Add the Column to the DataColumnCollection.
		table.Columns.Add(column);

		column = new DataColumn();
		column.DataType = System.Type.GetType("System.Double");
		column.ColumnName = "id1";
		column.ReadOnly = true;
		// Add the Column to the DataColumnCollection.
		table.Columns.Add(column);

		// Create second column.
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.String");
		column.ColumnName = "Item";
		column.AutoIncrement = false;
		column.Caption = "Item";
		column.ReadOnly = false;
		column.Unique = false;
		// Add the column to the table. 
		table.Columns.Add(column);

		// Create third column.
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.String");
		column.ColumnName = "Data";
		column.AutoIncrement = false;
		column.Caption = "Data";
		column.ReadOnly = false;
		column.Unique = false;
		// Add the column to the table.
		table.Columns.Add(column);


		// Make the ID column the primary key column.
		DataColumn[] PrimaryKeyColumns = new DataColumn[1];
		PrimaryKeyColumns[0] = table.Columns["id"];
		table.PrimaryKey = PrimaryKeyColumns;



		for (int i = 0; i <= 200; i++)
		{
			row = table.NewRow();
			row["id"] = i;
			row["id1"] = i;
			row["Item"] = "Item " + i;
			row["Data"] = "&#192;" + "&#192";//"<div><img src='ig_res/Default/images/add_disabled.gif'></img></div>";
			table.Rows.Add(row);
		}
		return table;
	}
}